Bug 58174 - [maintainer update] update emulators/dosbox to 0.60
Summary: [maintainer update] update emulators/dosbox to 0.60
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-18 02:30 UTC by Knyghtmare
Modified: 2003-11-01 14:32 UTC (History)
0 users

See Also:


Attachments
file.diff (2.28 KB, patch)
2003-10-18 02:30 UTC, Knyghtmare
no flags Details | Diff
emulators::dosbox.diff (5.03 KB, patch)
2003-10-19 00:41 UTC, marius
no flags Details | Diff
emulators::dosbox.diff (5.72 KB, patch)
2003-10-19 14:03 UTC, marius
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Knyghtmare 2003-10-18 02:30:12 UTC
	Update dosbox from 0.58 to 0.60.
	New is protected mode support, as well as SVGA/VESA.
	Also updated the website address.

	Deleted the file 'files/patch-src::gui::sdlmain.cpp'
	and the directory 'files' as they're no longer needed.

How-To-Repeat: 	N/A
Comment 1 marius 2003-10-19 00:41:23 UTC
Hi,

attached is an alternate patch, additionally to updating the port to 0.60
it does the following:
- Use USE_SDL instead of manually specifying devel/sdl12 as LIB_DEPENDS
  and setting SDL_CONFIG.
- Enable screenshot and modem emulation support.
- Install the dosbox(1) manual page.
- Move the message displayed by the post-install target into a pkg-message
  so it also gets displayed when this port is installed via its package.
- Use DOCSDIR.
Comment 2 Alexander Leidinger 2003-10-19 09:27:29 UTC
On Sun, 19 Oct 2003 01:41:23 +0200
Marius Strobl <marius@alchemy.franken.de> wrote:

> +CONFIGURE_ARGS+=	--enable-core-inline=${TRUE}

Why ${TRUE} (= /path/to/true)?

Bye,
Alexander.

-- 
            It is easier to fix Unix than to live with NT.

http://www.Leidinger.net                       Alexander @ Leidinger.net
  GPG fingerprint = C518 BC70 E67F 143F BE91  3365 79E2 9C60 B006 3FE7
            0 and 1. Now what could be so hard about that?

http://www.Leidinger.net                       Alexander @ Leidinger.net
  GPG fingerprint = C518 BC70 E67F 143F BE91  3365 79E2 9C60 B006 3FE7
Comment 3 marius 2003-10-19 14:03:05 UTC
On Sun, Oct 19, 2003 at 10:27:29AM +0200, Alexander Leidinger wrote:
> On Sun, 19 Oct 2003 01:41:23 +0200
> Marius Strobl <marius@alchemy.franken.de> wrote:
> 
> > +CONFIGURE_ARGS+=	--enable-core-inline=${TRUE}
> 
> Why ${TRUE} (= /path/to/true)?
> 

Shell built-in true by default actually. However, good catch, when
merging Tom's and my update patch I took that switch from Tom's patch,
looked up its meaning but obviously didn't pay attention to the RHS.
Setting it to ${TRUE} seems to be thought as a workaround for a bug in
the configure script (resp. configure.in) that would cause the script to
barf when run with '--enable-core-inline' or '--enable-core-inline=yes'.
However, it didn't enable the inlining either.
Attached is an update patch that really enables the inlining:
@@ -58,6 +59,7 @@
 checking for libasound headers version >= 0.9.0... not present.
 checking for snd_ctl_open in -lasound... no
 checking whether byte ordering is bigendian... no
+enabling inlined memory handling in CPU Core
 checking png.h usability... yes
 checking png.h presence... yes
 checking for png.h... yes
Comment 4 Alexander Leidinger 2003-10-30 14:14:52 UTC
Dear maintainer,

can you please comment about Marius' version of the patch? This fix is
in the DOSBox CVS tree now and I would like to commit the port update...

Bye,
Alexander.

-- 
              To boldly go where I surely don't belong.

http://www.Leidinger.net                       Alexander @ Leidinger.net
  GPG fingerprint = C518 BC70 E67F 143F BE91  3365 79E2 9C60 B006 3FE7
Comment 5 Knyghtmare 2003-10-30 14:23:50 UTC
I'm perfectly happy with the patch. I see nothing wrong with it, and I'd
be happy to see it committed.

Thanks.

On Thu, Oct 30, 2003 at 03:14:52PM +0100, Alexander Leidinger wrote:
> Dear maintainer,
> 
> can you please comment about Marius' version of the patch? This fix is
> in the DOSBox CVS tree now and I would like to commit the port update...
> 
> Bye,
> Alexander.
> 
> -- 
>               To boldly go where I surely don't belong.
> 
> http://www.Leidinger.net                       Alexander @ Leidinger.net
>   GPG fingerprint = C518 BC70 E67F 143F BE91  3365 79E2 9C60 B006 3FE7
Comment 6 Alexander Leidinger freebsd_committer 2003-11-01 14:32:00 UTC
State Changed
From-To: open->closed

Committed, thanks.